-----------------------------------------------------------------------------
-- Infer:	Basic definitions for type inference
-- 
-- Part of `Typing Haskell in Haskell', version of September 1, 1999
-- Copyright (c) Mark P Jones and the Oregon Graduate Institute
-- of Science and Technology, 1999
-- 
-- This program is distributed as Free Software under the terms
-- in the file "License" that is included in the distribution
-- of this software, copies of which may be obtained from:
--             http://www.cse.ogi.edu/~mpj/thih/
-- 
-----------------------------------------------------------------------------

module Infer where
import Pred
import Assump
import TIMonad

type Infer e t = [Assump] -> e -> TI ([Pred], t)

-----------------------------------------------------------------------------
