-----------------------------------------------------------------------------
-- Debug:	Debug functions
-----------------------------------------------------------------------------

module Debug where
import Trace
import PPrint

-----------------------------------------------------------------------------
-- This module contains definitions that do not appear in the
-- typeset version of the paper.

debug            :: PPrint a => String -> a -> b -> b
debug msg val res = trace (msg ++ " = " ++ pretty val ++ "\n") res

-----------------------------------------------------------------------------
