module HaskellThih where
import Testbed

defnsHaskellThih
 =  ["enumId" :>:
       Forall []
	 ([] :=>
	    (tInt `fn` TAp tList tChar)),
     "tChar" :>:
       Forall []
	 ([] :=>
	    tType),
     "tArrow" :>:
       Forall []
	 ([] :=>
	    tType),
     "fn" :>:
       Forall []
	 ([] :=>
	    (tType `fn` tType `fn` tType)),
     "nullSubst" :>:
       Forall []
	 ([] :=>
	    (TAp tList (TAp (TAp tTuple2 tTyvar) tType))),
     "+->" :>:
       Forall []
	 ([] :=>
	    (tTyvar `fn` tType `fn` TAp tList (TAp (TAp tTuple2 tTyvar) tType))),
     "@@" :>:
       Forall []
	 ([] :=>
	    (TAp tList (TAp (TAp tTuple2 tTyvar) tType) `fn` TAp tList (TAp (TAp tTuple2 tTyvar) tType) `fn` TAp tList (TAp (TAp tTuple2 tTyvar) tType))),
     "merge" :>:
       Forall []
	 ([] :=>
	    (TAp tList (TAp (TAp tTuple2 tTyvar) tType) `fn` TAp tList (TAp (TAp tTuple2 tTyvar) tType) `fn` TAp tMaybe (TAp tList (TAp (TAp tTuple2 tTyvar) tType)))),
     "varBind" :>:
       Forall []
	 ([] :=>
	    (tTyvar `fn` tType `fn` TAp tMaybe (TAp tList (TAp (TAp tTuple2 tTyvar) tType)))),
     "mgu" :>:
       Forall []
	 ([] :=>
	    (tType `fn` tType `fn` TAp tMaybe (TAp tList (TAp (TAp tTuple2 tTyvar) tType)))),
     "match" :>:
       Forall []
	 ([] :=>
	    (tType `fn` tType `fn` TAp tMaybe (TAp tList (TAp (TAp tTuple2 tTyvar) tType)))),
     "bySuper" :>:
       Forall []
	 ([] :=>
	    (tPred `fn` TAp tList tPred)),
     "matchPred" :>:
       Forall []
	 ([] :=>
	    (tPred `fn` tPred `fn` TAp tMaybe (TAp tList (TAp (TAp tTuple2 tTyvar) tType)))),
     "byInst" :>:
       Forall []
	 ([] :=>
	    (tPred `fn` TAp tQual tPred `fn` TAp tMaybe (TAp tList tPred))),
     "reducePred" :>:
       Forall []
	 ([] :=>
	    (tPred `fn` TAp tMaybe (TAp tList tPred))),
     "||-" :>:
       Forall []
	 ([] :=>
	    (TAp tList tPred `fn` tPred `fn` tBool)),
     "quantify" :>:
       Forall []
	 ([] :=>
	    (TAp tList tTyvar `fn` TAp tQual tType `fn` tScheme)),
     "toScheme" :>:
       Forall []
	 ([] :=>
	    (tType `fn` tScheme)),
     "find" :>:
       Forall []
	 ([] :=>
	    (TAp tList tChar `fn` TAp tList tAssump `fn` tScheme)),
     "runTI" :>:
       Forall [Star]
	 ([] :=>
	    (TAp tTI (TGen 0) `fn` TGen 0)),
     "getSubst" :>:
       Forall []
	 ([] :=>
	    (TAp tTI (TAp tList (TAp (TAp tTuple2 tTyvar) tType)))),
     "extSubst" :>:
       Forall []
	 ([] :=>
	    (TAp tList (TAp (TAp tTuple2 tTyvar) tType) `fn` TAp tTI tUnit)),
     "unify" :>:
       Forall []
	 ([] :=>
	    (tType `fn` tType `fn` TAp tTI tUnit)),
     "newTVar" :>:
       Forall []
	 ([] :=>
	    (tKind `fn` TAp tTI tType)),
     "freshInst" :>:
       Forall []
	 ([] :=>
	    (tScheme `fn` TAp tTI (TAp tQual tType))),
     "cNum" :>:
       Forall []
	 ([] :=>
	    tClass),
     "tiLit" :>:
       Forall []
	 ([] :=>
	    (tLit `fn` TAp tTI (TAp (TAp tTuple2 (TAp tList tPred)) tType))),
     "tiPats" :>:
       Forall []
	 ([] :=>
	    (TAp tList tPat `fn` TAp tTI (TAp (TAp (TAp tTuple3 (TAp tList tPred)) (TAp tList tAssump)) (TAp tList tType)))),
     "tiPat" :>:
       Forall []
	 ([] :=>
	    (tPat `fn` TAp tTI (TAp (TAp (TAp tTuple3 (TAp tList tPred)) (TAp tList tAssump)) tType))),
     "defaults" :>:
       Forall [Star]
	 ([] :=>
	    (TAp tList (TGen 0))),
     "numClasses" :>:
       Forall [Star]
	 ([] :=>
	    (TAp tList (TGen 0))),
     "stdClasses" :>:
       Forall [Star]
	 ([] :=>
	    (TAp tList (TGen 0))),
     "defs" :>:
       Forall []
	 ([] :=>
	    (tTyvar `fn` TAp tList tPred `fn` TAp tList tType)),
     "ambig" :>:
       Forall []
	 ([] :=>
	    (TAp tList tTyvar `fn` TAp tList tPred `fn` TAp tList (TAp (TAp (TAp tTuple3 tTyvar) (TAp tList tPred)) (TAp tList tType)))),
     "useDefaults" :>:
       Forall []
	 ([] :=>
	    (TAp tList tTyvar `fn` TAp tList tPred `fn` TAp tList tPred)),
     "simplify" :>:
       Forall []
	 ([] :=>
	    (TAp tList tPred `fn` TAp tList tPred `fn` TAp tList tPred)),
     "inHnf" :>:
       Forall []
	 ([] :=>
	    (tPred `fn` tBool)),
     "toHnf" :>:
       Forall []
	 ([] :=>
	    (tPred `fn` TAp tList tPred)),
     "toHnfs" :>:
       Forall []
	 ([] :=>
	    (TAp tList tPred `fn` TAp tList tPred)),
     "split" :>:
       Forall []
	 ([] :=>
	    (TAp tList tTyvar `fn` TAp tList tPred `fn` TAp (TAp tTuple2 (TAp tList tPred)) (TAp tList tPred))),
     "reduce" :>:
       Forall []
	 ([] :=>
	    (TAp tList tTyvar `fn` TAp tList tTyvar `fn` TAp tList tPred `fn` TAp (TAp tTuple2 (TAp tList tPred)) (TAp tList tPred))),
     "tiSeq" :>:
       Forall [Star]
	 ([] :=>
	    ((TAp tList tAssump `fn` TGen 0 `fn` TAp tTI (TAp (TAp tTuple2 (TAp tList tPred)) (TAp tList tAssump))) `fn` TAp tList tAssump `fn` TAp tList (TGen 0) `fn` TAp tTI (TAp (TAp tTuple2 (TAp tList tPred)) (TAp tList tAssump)))),
     "restricted" :>:
       Forall []
	 ([] :=>
	    (TAp tList (TAp (TAp tTuple2 (TAp tList tChar)) (TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr))) `fn` tBool)),
     "tiImpls" :>:
       Forall []
	 ([] :=>
	    (TAp tList tAssump `fn` TAp tList (TAp (TAp tTuple2 (TAp tList tChar)) (TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr))) `fn` TAp tTI (TAp (TAp tTuple2 (TAp tList tPred)) (TAp tList tAssump)))),
     "tiAlt" :>:
       Forall []
	 ([] :=>
	    (TAp tList tAssump `fn` TAp (TAp tTuple2 (TAp tList tPat)) tExpr `fn` TAp tTI (TAp (TAp tTuple2 (TAp tList tPred)) tType))),
     "tiAlts" :>:
       Forall []
	 ([] :=>
	    (TAp tList tAssump `fn` TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr) `fn` tType `fn` TAp tTI (TAp tList tPred))),
     "tiExpl" :>:
       Forall []
	 ([] :=>
	    (TAp tList tAssump `fn` TAp (TAp (TAp tTuple3 (TAp tList tChar)) tScheme) (TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr)) `fn` TAp tTI (TAp tList tPred))),
     "tiBindGroup" :>:
       Forall []
	 ([] :=>
	    (TAp tList tAssump `fn` TAp (TAp tTuple2 (TAp tList (TAp (TAp (TAp tTuple3 (TAp tList tChar)) tScheme) (TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr))))) (TAp tList (TAp tList (TAp (TAp tTuple2 (TAp tList tChar)) (TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr))))) `fn` TAp tTI (TAp (TAp tTuple2 (TAp tList tPred)) (TAp tList tAssump)))),
     "tiExpr" :>:
       Forall []
	 ([] :=>
	    (TAp tList tAssump `fn` tExpr `fn` TAp tTI (TAp (TAp tTuple2 (TAp tList tPred)) tType))),
     "topDefaults" :>:
       Forall []
	 ([] :=>
	    (TAp tList tPred `fn` TAp tMaybe (TAp tList (TAp (TAp tTuple2 tTyvar) tType)))),
     "tiProgram" :>:
       Forall []
	 ([] :=>
	    (TAp tList tAssump `fn` TAp tList (TAp (TAp tTuple2 (TAp tList (TAp (TAp (TAp tTuple3 (TAp tList tChar)) tScheme) (TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr))))) (TAp tList (TAp tList (TAp (TAp tTuple2 (TAp tList tChar)) (TAp tList (TAp (TAp tTuple2 (TAp tList tPat)) tExpr)))))) `fn` TAp tList tAssump))]
